/* 
 * _____________________________________________________________________________
 * 
 * INAF - OATS National Institute for Astrophysics - Astronomical Observatory of
 * Trieste INAF - IA2 Italian Center for Astronomical Archives
 * _____________________________________________________________________________
 * 
 * Copyright (C) 2016 Istituto Nazionale di Astrofisica
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License Version 3 as published by the
 * Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
package it.inaf.ia2.tsm.api;

import it.inaf.ia2.tsm.api.contract.ChildEntity;
import it.inaf.ia2.tsm.api.contract.EntitiesContainer;
import it.inaf.ia2.tsm.api.contract.Status;
import it.inaf.ia2.tsm.api.contract.TapSchema;

/**
 * The main implementation of {@link ChildEntity}.
 * 
 * @author Sonia Zorba {@literal <zorba at oats.inaf.it>}
 */
public abstract class ChildEntityImpl<T extends EntitiesContainer> extends TapSchemaEntityImpl implements ChildEntity<T> {
    
    private static final long serialVersionUID = -8941059435527998685L;

    private Status status;

    protected ChildEntityImpl() {
        // for serialization
        super();
    }
    
    public ChildEntityImpl(DBWrapper dbWrapper, TapSchema tapSchema) {
        super(dbWrapper, tapSchema);
    }

    @Override
    public Status getStatus() {
        return status;
    }

    @Override
    public void setStatus(Status status) {
        this.status = status;
    }
    
    @Override
    public void save() {
        setStatus(Status.ADDED_PERSISTED);
        super.save();
    }
}
